Bug 244212 - RHEL4: Wrong init script
RHEL4: Wrong init script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: salinfo (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Prarit Bhargava
:
Depends On: 244211
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 11:16 EDT by Michal Marciniszyn
Modified: 2014-02-10 18:03 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0760
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:02:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix this issue (4.15 KB, patch)
2007-08-02 15:44 EDT, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Michal Marciniszyn 2007-06-14 11:16:48 EDT
+++ This bug was initially created as a clone of Bug #244211 +++

Description of problem:
The salinfod init script returns incorrect error codes and some
constructions in it also prevent correct status function call. For example:
test -x /usr/sbin/$prog || exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.
Comment 1 RHEL Product and Program Management 2007-06-14 11:24:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Prarit Bhargava 2007-08-02 15:44:50 EDT
Created attachment 160539 [details]
Patch to fix this issue

Committed to CVS.
Comment 10 errata-xmlrpc 2008-07-24 16:02:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0760.html

Note You need to log in before you can comment on or make changes to this bug.